CMake

Page 1 of 1
6 posts
CMake

Nikolay
MMEX Developer

Posts: 2279
Joined: Sat Dec 06, 2008 8:27 am
Location: Sankt-Petersburg, Russia
Re: CMake

gadget
New MMEX User

Posts: 2
Joined: Sat Apr 22, 2017 2:35 pm
I followed the instructions for Ubuntu 14.04:
sudo apt-get install -y \
build-essential cmake git libwxbase3.1-dev libwxgtk3.1-dev libwxgtk-webview3.1-dev

without error, however:
Unpacking mmex (1.3.3) ...
dpkg: dependency problems prevent configuration of mmex:
mmex depends on libwxgtk3.0-0v5 (>= 3.0.0) | libwxgtk3.0-0 (>= 3.0.0); however:
Package libwxgtk3.0-0v5 is not installed.
Package libwxgtk3.0-0 is not installed.
mmex depends on libwxgtk-webview3.0-0v5 (>= 3.0.0) | libwxgtk-webview3.0-0 (>= 3.0.0); however:
Package libwxgtk-webview3.0-0v5 is not installed.
Package libwxgtk-webview3.0-0 is not installed.

dpkg: error processing package mmex (--install):
dependency problems - leaving unconfigured
Re: CMake

gadget
New MMEX User

Posts: 2
Joined: Sat Apr 22, 2017 2:35 pm
Instructions for Ubuntu 16.04 worked perfectly, Thanks.

This was long awaited and greatly appreciated.
Re: CMake

Nikolay
MMEX Developer

Posts: 2279
Joined: Sat Dec 06, 2008 8:27 am
Location: Sankt-Petersburg, Russia
Re: CMake

jjd
New MMEX User

Posts: 4
Joined: Fri Mar 11, 2016 9:40 am
Followed the instructions for Fedora 25. Everything went well until the last command to install the created package. It fails with:

wxWidgets-3_0-devel is needed by mmex-1.3.3-1.x86_64

I have tried to locate this but without success. Can anyone help, please.  Thanks.

jjd
Re: CMake

Nano
New MMEX User

Posts: 1
Joined: Fri Apr 28, 2017 2:43 pm
Thanks Nikolay, I have been using mmex 0.9.9 until now, with this instructions I have compiled the binary and works. Although the rpm file was not created, it ends the compilation with an error. Thanks again.

Nano
Page 1 of 1
Who is online

Users browsing this forum: Google [Bot] and 3 guests

cron